import 'package:cometchat_chat_uikit/cometchat_chat_uikit.dart';
import 'package:flutter/foundation.dart';

///[AiEnabler] is the controller class for checking whether ai features are enabled/disabled

class AiEnabler extends AiExtension {
  List<AiExtension> aiFeatureList = [];

  AiEnablerConfiguration? configuration;
  AiEnabler({this.configuration, required this.aiFeatureList});
  @override
  void enable({
    Function(bool success)? onSuccess,
    Function(CometChatException exception)? onError,
  }) {
    Map<String, dynamic> map = {};
    print("calling enabler of AIEnabler");
    if (configuration != null) {
      map = configuration!.toJson();
    }
    if (aiFeatureList.isNotEmpty) {
      for (var element in aiFeatureList) {
        if (element is AiSmartReply) {
          element.configuration = element.configuration?.fromJson(map);
        }
        if (element is AiConversationStarter) {
          element.configuration = element.configuration?.fromJson(map);
        }
        element.addExtension();
       addExtension();
      }
    }
  }

  @override
  void addExtension() {
    ChatConfigurator.enable((dataSource) => AiEnablerDecorator(dataSource,
        aiFeatureList: aiFeatureList, ));
  }

  @override
  String getExtensionId() {
    return "ai-features";
  }
}
